Licenses
All PUT endpoints update only the fields present in the body; see Updating Resources.
GET/v1/licensesGET /v1/licenses
Code samples
cURL
# You can also use wget
curl -X GET /v1/licenses \
-H 'Accept: text/plain' \
-H 'x-api-key: API_KEY'
GET /v1/licenses
Retrieves licenses based on the provided request parameters.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| select | query | string | false | none |
| filter | query | string | false | none |
| include | query | string | false | none |
| sort | query | string | false | none |
| take | query | integer(int32) | false | none |
| skip | query | integer(int32) | false | none |
Example responses
200 Response
{"success":true,"code":0,"message":"string","licenses":[{"id":0,"licenseId":"string","licenseType":"string","format":0,"description":"string","createdAt":"2019-08-24T14:15:22Z","updatedAt":"2019-08-24T14:15:22Z","issueDate":"2019-08-24T14:15:22Z","expireDate":"2019-08-24T14:15:22Z","supportExpireDate":"2019-08-24T14:15:22Z","revoked":true,"trace":true,"licenseKey":"string","maxAllowedSites":0,"userKey":"string","licensingMode":0,"licenseeName":"string","licenseeCompany":"string","licenseeEmail":"string","hash":"string","meta":"string","templateId":0,"signatureKeysId":0,"customerId":0,"orderId":0,"product":{"id":"string","name":"string","version":"string","copyright":"string","url":"string","description":"string"},"order":{"id":0,"orderNumber":"string","status":"string","processedBy":"string","purchaseOrder":"string","total":0.1,"currency":"string","createdAt":"2019-08-24T14:15:22Z","updatedAt":"2019-08-24T14:15:22Z","invoiceNumber":"string","paymentType":"string","paymentNumber":"string","paymentStatus":"string","paymentDate":"2019-08-24T14:15:22Z","description":"string","customerId":0,"customer":{"id":0,"title":"string","firstName":"string","lastName":"string","company":"string","code":"string","vatCode":"string","invoiceCode":"string","rating":0,"createdAt":"2019-08-24T14:15:22Z","updatedAt":"2019-08-24T14:15:22Z","address":"string","address1":"string","address2":"string","postalCode":"string","region":"string","city":"string","country":"string","countryCode":"string","mapCoordinates":"string","mapZoomLevel":0.1,"email":"string","phone":"string","mobile":"string","fax":"string","website":"string","notes":"string","isReseller":true,"image":"string","meta":"string","contacts":[{"id":0,"title":"string","firstName":"string","lastName":"string","email":"string","phone":"string","mobile":"string","fax":"string","details":"string","notify":true,"customerId":0,"meta":"string"}]},"resellerId":0},"customer":{"id":0,"title":"string","firstName":"string","lastName":"string","company":"string","code":"string","vatCode":"string","invoiceCode":"string","rating":0,"createdAt":"2019-08-24T14:15:22Z","updatedAt":"2019-08-24T14:15:22Z","address":"string","address1":"string","address2":"string","postalCode":"string","region":"string","city":"string","country":"string","countryCode":"string","mapCoordinates":"string","mapZoomLevel":0.1,"email":"string","phone":"string","mobile":"string","fax":"string","website":"string","notes":"string","isReseller":true,"image":"string","meta":"string","contacts":[{"id":0,"title":"string","firstName":"string","lastName":"string","email":"string","phone":"string","mobile":"string","fax":"string","details":"string","notify":true,"customerId":0,"meta":"string"}]},"template":{"id":0,"name":"string","code":"string","licenseType":"string","format":0,"licensingMode":0,"licenseFileName":"string","issueDate":true,"expireDays":0,"supportDays":0,"generateKeyInfo":true,"userKey":"string","description":"string","template":"string","productId":0,"signatureKeysId":0,"releaseId":0,"product":{"id":"string","name":"string","version":"string","copyright":"string","url":"string","description":"string"},"components":["string"],"assemblies":[{"id":0,"name":"string","version":"string","culture":"string","publicKeyToken":"string","mappingFileId":0,"debugSymbolsKey":"string"}],"fields":[{"name":"string","value":"string"}],"features":[{"id":"string","name":"string","description":"string","expireDate":"2019-08-24T14:15:22Z","key":"string","data":"string"}],"restrictions":[{"id":"string","name":"string","expireDate":"2019-08-24T14:15:22Z","properties":{"property1":"string","property2":"string"},"customXmlContent":"string"}]},"licensee":{"name":"string","company":"string","contactInfo":"string","url":"string"},"components":["string"],"assemblies":[{"id":0,"name":"string","version":"string","culture":"string","publicKeyToken":"string","mappingFileId":0,"debugSymbolsKey":"string"}],"fields":[{"name":"string","value":"string"}],"features":[{"id":"string","name":"string","description":"string","expireDate":"2019-08-24T14:15:22Z","key":"string","data":"string"}],"restrictions":[{"id":"string","name":"string","expireDate":"2019-08-24T14:15:22Z","properties":{"property1":"string","property2":"string"},"customXmlContent":"string"}]}],"totalLicensesCount":0}{
"success": true,
"code": 0,
"message": "string",
"licenses": [
{
"id": 0,
"licenseId": "string",
"licenseType": "string",
"format": 0,
"description": "string",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"issueDate": "2019-08-24T14:15:22Z",
"expireDate": "2019-08-24T14:15:22Z",
"supportExpireDate": "2019-08-24T14:15:22Z",
"revoked": true,
"trace": true,
"licenseKey": "string",
"maxAllowedSites": 0,
"userKey": "string",
"licensingMode": 0,
"licenseeName": "string",
"licenseeCompany": "string",
"licenseeEmail": "string",
"hash": "string",
"meta": "string",
"templateId": 0,
"signatureKeysId": 0,
"customerId": 0,
"orderId": 0,
"product": {
"id": "string",
"name": "string",
"version": "string",
"copyright": "string",
"url": "string",
"description": "string"
},
"order": {
"id": 0,
"orderNumber": "string",
"status": "string",
"processedBy": "string",
"purchaseOrder": "string",
"total": 0.1,
"currency": "string",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"invoiceNumber": "string",
"paymentType": "string",
"paymentNumber": "string",
"paymentStatus": "string",
"paymentDate": "2019-08-24T14:15:22Z",
"description": "string",
"customerId": 0,
"customer": {
"id": 0,
"title": "string",
"firstName": "string",
"lastName": "string",
"company": "string",
"code": "string",
"vatCode": "string",
"invoiceCode": "string",
"rating": 0,
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"address": "string",
"address1": "string",
"address2": "string",
"postalCode": "string",
"region": "string",
"city": "string",
"country": "string",
"countryCode": "string",
"mapCoordinates": "string",
"mapZoomLevel": 0.1,
"email": "string",
"phone": "string",
"mobile": "string",
"fax": "string",
"website": "string",
"notes": "string",
"isReseller": true,
"image": "string",
"meta": "string",
"contacts": [
{
"id": 0,
"title": "string",
"firstName": "string",
"lastName": "string",
"email": "string",
"phone": "string",
"mobile": "string",
"fax": "string",
"details": "string",
"notify": true,
"customerId": 0,
"meta": "string"
}
]
},
"resellerId": 0
},
"customer": {
"id": 0,
"title": "string",
"firstName": "string",
"lastName": "string",
"company": "string",
"code": "string",
"vatCode": "string",
"invoiceCode": "string",
"rating": 0,
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"address": "string",
"address1": "string",
"address2": "string",
"postalCode": "string",
"region": "string",
"city": "string",
"country": "string",
"countryCode": "string",
"mapCoordinates": "string",
"mapZoomLevel": 0.1,
"email": "string",
"phone": "string",
"mobile": "string",
"fax": "string",
"website": "string",
"notes": "string",
"isReseller": true,
"image": "string",
"meta": "string",
"contacts": [
{
"id": 0,
"title": "string",
"firstName": "string",
"lastName": "string",
"email": "string",
"phone": "string",
"mobile": "string",
"fax": "string",
"details": "string",
"notify": true,
"customerId": 0,
"meta": "string"
}
]
},
"template": {
"id": 0,
"name": "string",
"code": "string",
"licenseType": "string",
"format": 0,
"licensingMode": 0,
"licenseFileName": "string",
"issueDate": true,
"expireDays": 0,
"supportDays": 0,
"generateKeyInfo": true,
"userKey": "string",
"description": "string",
"template": "string",
"productId": 0,
"signatureKeysId": 0,
"releaseId": 0,
"product": {
"id": "string",
"name": "string",
"version": "string",
"copyright": "string",
"url": "string",
"description": "string"
},
"components": [
"string"
],
"assemblies": [
{
"id": 0,
"name": "string",
"version": "string",
"culture": "string",
"publicKeyToken": "string",
"mappingFileId": 0,
"debugSymbolsKey": "string"
}
],
"fields": [
{
"name": "string",
"value": "string"
}
],
"features": [
{
"id": "string",
"name": "string",
"description": "string",
"expireDate": "2019-08-24T14:15:22Z",
"key": "string",
"data": "string"
}
],
"restrictions": [
{
"id": "string",
"name": "string",
"expireDate": "2019-08-24T14:15:22Z",
"properties": {
"property1": "string",
"property2": "string"
},
"customXmlContent": "string"
}
]
},
"licensee": {
"name": "string",
"company": "string",
"contactInfo": "string",
"url": "string"
},
"components": [
"string"
],
"assemblies": [
{
"id": 0,
"name": "string",
"version": "string",
"culture": "string",
"publicKeyToken": "string",
"mappingFileId": 0,
"debugSymbolsKey": "string"
}
],
"fields": [
{
"name": "string",
"value": "string"
}
],
"features": [
{
"id": "string",
"name": "string",
"description": "string",
"expireDate": "2019-08-24T14:15:22Z",
"key": "string",
"data": "string"
}
],
"restrictions": [
{
"id": "string",
"name": "string",
"expireDate": "2019-08-24T14:15:22Z",
"properties": {
"property1": "string",
"property2": "string"
},
"customXmlContent": "string"
}
]
}
],
"totalLicensesCount": 0
}Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | OK | Management.GetLicensesResponse |
Authentication: API key (x-api-key).
POST/v1/licensesPOST /v1/licenses
Code samples
cURL
# You can also use wget
curl -X POST /v1/licenses \
-H 'Content-Type: application/json-patch+json' \
-H 'Accept: text/plain' \
-H 'x-api-key: API_KEY'
POST /v1/licenses
Inserts a new license based on the provided request parameters.
Body parameter
{
"license": {
"id": 0,
"licenseId": "string",
"licenseType": "string",
"format": 0,
"description": "string",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"issueDate": "2019-08-24T14:15:22Z",
"expireDate": "2019-08-24T14:15:22Z",
"supportExpireDate": "2019-08-24T14:15:22Z",
"revoked": true,
"trace": true,
"licenseKey": "string",
"maxAllowedSites": 0,
"userKey": "string",
"licensingMode": 0,
"licenseeName": "string",
"licenseeCompany": "string",
"licenseeEmail": "string",
"hash": "string",
"meta": "string",
"templateId": 0,
"signatureKeysId": 0,
"customerId": 0,
"orderId": 0,
"product": {
"id": "string",
"name": "string",
"version": "string",
"copyright": "string",
"url": "string",
"description": "string"
},
"order": {
"id": 0,
"orderNumber": "string",
"status": "string",
"processedBy": "string",
"purchaseOrder": "string",
"total": 0.1,
"currency": "string",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"invoiceNumber": "string",
"paymentType": "string",
"paymentNumber": "string",
"paymentStatus": "string",
"paymentDate": "2019-08-24T14:15:22Z",
"description": "string",
"customerId": 0,
"customer": {
"id": 0,
"title": "string",
"firstName": "string",
"lastName": "string",
"company": "string",
"code": "string",
"vatCode": "string",
"invoiceCode": "string",
"rating": 0,
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"address": "string",
"address1": "string",
"address2": "string",
"postalCode": "string",
"region": "string",
"city": "string",
"country": "string",
"countryCode": "string",
"mapCoordinates": "string",
"mapZoomLevel": 0.1,
"email": "string",
"phone": "string",
"mobile": "string",
"fax": "string",
"website": "string",
"notes": "string",
"isReseller": true,
"image": "string",
"meta": "string",
"contacts": [
{
"id": 0,
"title": "string",
"firstName": "string",
"lastName": "string",
"email": "string",
"phone": "string",
"mobile": "string",
"fax": "string",
"details": "string",
"notify": true,
"customerId": 0,
"meta": "string"
}
]
},
"resellerId": 0
},
"customer": {
"id": 0,
"title": "string",
"firstName": "string",
"lastName": "string",
"company": "string",
"code": "string",
"vatCode": "string",
"invoiceCode": "string",
"rating": 0,
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"address": "string",
"address1": "string",
"address2": "string",
"postalCode": "string",
"region": "string",
"city": "string",
"country": "string",
"countryCode": "string",
"mapCoordinates": "string",
"mapZoomLevel": 0.1,
"email": "string",
"phone": "string",
"mobile": "string",
"fax": "string",
"website": "string",
"notes": "string",
"isReseller": true,
"image": "string",
"meta": "string",
"contacts": [
{
"id": 0,
"title": "string",
"firstName": "string",
"lastName": "string",
"email": "string",
"phone": "string",
"mobile": "string",
"fax": "string",
"details": "string",
"notify": true,
"customerId": 0,
"meta": "string"
}
]
},
"template": {
"id": 0,
"name": "string",
"code": "string",
"licenseType": "string",
"format": 0,
"licensingMode": 0,
"licenseFileName": "string",
"issueDate": true,
"expireDays": 0,
"supportDays": 0,
"generateKeyInfo": true,
"userKey": "string",
"description": "string",
"template": "string",
"productId": 0,
"signatureKeysId": 0,
"releaseId": 0,
"product": {
"id": "string",
"name": "string",
"version": "string",
"copyright": "string",
"url": "string",
"description": "string"
},
"components": [
"string"
],
"assemblies": [
{
"id": 0,
"name": "string",
"version": "string",
"culture": "string",
"publicKeyToken": "string",
"mappingFileId": 0,
"debugSymbolsKey": "string"
}
],
"fields": [
{
"name": "string",
"value": "string"
}
],
"features": [
{
"id": "string",
"name": "string",
"description": "string",
"expireDate": "2019-08-24T14:15:22Z",
"key": "string",
"data": "string"
}
],
"restrictions": [
{
"id": "string",
"name": "string",
"expireDate": "2019-08-24T14:15:22Z",
"properties": {
"property1": "string",
"property2": "string"
},
"customXmlContent": "string"
}
]
},
"licensee": {
"name": "string",
"company": "string",
"contactInfo": "string",
"url": "string"
},
"components": [
"string"
],
"assemblies": [
{
"id": 0,
"name": "string",
"version": "string",
"culture": "string",
"publicKeyToken": "string",
"mappingFileId": 0,
"debugSymbolsKey": "string"
}
],
"fields": [
{
"name": "string",
"value": "string"
}
],
"features": [
{
"id": "string",
"name": "string",
"description": "string",
"expireDate": "2019-08-24T14:15:22Z",
"key": "string",
"data": "string"
}
],
"restrictions": [
{
"id": "string",
"name": "string",
"expireDate": "2019-08-24T14:15:22Z",
"properties": {
"property1": "string",
"property2": "string"
},
"customXmlContent": "string"
}
]
}
}Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| body | body | Management.InsertLicenseRequest | false | The request containing the parameters for inserting a license. |
Example responses
200 Response
{"licenseId":0,"success":true,"code":0,"message":"string","licenseKeyId":"string","userKey":"string","licenseKey":"string"}{
"licenseId": 0,
"success": true,
"code": 0,
"message": "string",
"licenseKeyId": "string",
"userKey": "string",
"licenseKey": "string"
}Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | OK | Management.InsertLicenseResponse |
Authentication: API key (x-api-key).
PUT/v1/licensesPUT /v1/licenses
Code samples
cURL
# You can also use wget
curl -X PUT /v1/licenses \
-H 'Content-Type: application/json-patch+json' \
-H 'Accept: text/plain' \
-H 'x-api-key: API_KEY'
PUT /v1/licenses
Updates an existing license based on the provided request parameters.
Fields omitted from the body keep their stored values. For example, an update that does not include revoked leaves the revocation state unchanged. See Updating Resources.
Body parameter
{
"license": {
"id": 0,
"licenseId": "string",
"licenseType": "string",
"format": 0,
"description": "string",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"issueDate": "2019-08-24T14:15:22Z",
"expireDate": "2019-08-24T14:15:22Z",
"supportExpireDate": "2019-08-24T14:15:22Z",
"revoked": true,
"trace": true,
"licenseKey": "string",
"maxAllowedSites": 0,
"userKey": "string",
"licensingMode": 0,
"licenseeName": "string",
"licenseeCompany": "string",
"licenseeEmail": "string",
"hash": "string",
"meta": "string",
"templateId": 0,
"signatureKeysId": 0,
"customerId": 0,
"orderId": 0,
"product": {
"id": "string",
"name": "string",
"version": "string",
"copyright": "string",
"url": "string",
"description": "string"
},
"order": {
"id": 0,
"orderNumber": "string",
"status": "string",
"processedBy": "string",
"purchaseOrder": "string",
"total": 0.1,
"currency": "string",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"invoiceNumber": "string",
"paymentType": "string",
"paymentNumber": "string",
"paymentStatus": "string",
"paymentDate": "2019-08-24T14:15:22Z",
"description": "string",
"customerId": 0,
"customer": {
"id": 0,
"title": "string",
"firstName": "string",
"lastName": "string",
"company": "string",
"code": "string",
"vatCode": "string",
"invoiceCode": "string",
"rating": 0,
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"address": "string",
"address1": "string",
"address2": "string",
"postalCode": "string",
"region": "string",
"city": "string",
"country": "string",
"countryCode": "string",
"mapCoordinates": "string",
"mapZoomLevel": 0.1,
"email": "string",
"phone": "string",
"mobile": "string",
"fax": "string",
"website": "string",
"notes": "string",
"isReseller": true,
"image": "string",
"meta": "string",
"contacts": [
{
"id": 0,
"title": "string",
"firstName": "string",
"lastName": "string",
"email": "string",
"phone": "string",
"mobile": "string",
"fax": "string",
"details": "string",
"notify": true,
"customerId": 0,
"meta": "string"
}
]
},
"resellerId": 0
},
"customer": {
"id": 0,
"title": "string",
"firstName": "string",
"lastName": "string",
"company": "string",
"code": "string",
"vatCode": "string",
"invoiceCode": "string",
"rating": 0,
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"address": "string",
"address1": "string",
"address2": "string",
"postalCode": "string",
"region": "string",
"city": "string",
"country": "string",
"countryCode": "string",
"mapCoordinates": "string",
"mapZoomLevel": 0.1,
"email": "string",
"phone": "string",
"mobile": "string",
"fax": "string",
"website": "string",
"notes": "string",
"isReseller": true,
"image": "string",
"meta": "string",
"contacts": [
{
"id": 0,
"title": "string",
"firstName": "string",
"lastName": "string",
"email": "string",
"phone": "string",
"mobile": "string",
"fax": "string",
"details": "string",
"notify": true,
"customerId": 0,
"meta": "string"
}
]
},
"template": {
"id": 0,
"name": "string",
"code": "string",
"licenseType": "string",
"format": 0,
"licensingMode": 0,
"licenseFileName": "string",
"issueDate": true,
"expireDays": 0,
"supportDays": 0,
"generateKeyInfo": true,
"userKey": "string",
"description": "string",
"template": "string",
"productId": 0,
"signatureKeysId": 0,
"releaseId": 0,
"product": {
"id": "string",
"name": "string",
"version": "string",
"copyright": "string",
"url": "string",
"description": "string"
},
"components": [
"string"
],
"assemblies": [
{
"id": 0,
"name": "string",
"version": "string",
"culture": "string",
"publicKeyToken": "string",
"mappingFileId": 0,
"debugSymbolsKey": "string"
}
],
"fields": [
{
"name": "string",
"value": "string"
}
],
"features": [
{
"id": "string",
"name": "string",
"description": "string",
"expireDate": "2019-08-24T14:15:22Z",
"key": "string",
"data": "string"
}
],
"restrictions": [
{
"id": "string",
"name": "string",
"expireDate": "2019-08-24T14:15:22Z",
"properties": {
"property1": "string",
"property2": "string"
},
"customXmlContent": "string"
}
]
},
"licensee": {
"name": "string",
"company": "string",
"contactInfo": "string",
"url": "string"
},
"components": [
"string"
],
"assemblies": [
{
"id": 0,
"name": "string",
"version": "string",
"culture": "string",
"publicKeyToken": "string",
"mappingFileId": 0,
"debugSymbolsKey": "string"
}
],
"fields": [
{
"name": "string",
"value": "string"
}
],
"features": [
{
"id": "string",
"name": "string",
"description": "string",
"expireDate": "2019-08-24T14:15:22Z",
"key": "string",
"data": "string"
}
],
"restrictions": [
{
"id": "string",
"name": "string",
"expireDate": "2019-08-24T14:15:22Z",
"properties": {
"property1": "string",
"property2": "string"
},
"customXmlContent": "string"
}
]
}
}Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| body | body | Management.UpdateLicenseRequest | false | The request containing the parameters for updating a license. |
Example responses
200 Response
{"success":true,"code":0,"message":"string","licenseKeyId":"string","userKey":"string","licenseKey":"string"}{
"success": true,
"code": 0,
"message": "string",
"licenseKeyId": "string",
"userKey": "string",
"licenseKey": "string"
}Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | OK | Management.UpdateLicenseResponse |
Authentication: API key (x-api-key).
DELETE/v1/licenses/{licenseId}DELETE /v1/licenses/{licenseId}
Code samples
cURL
# You can also use wget
curl -X DELETE /v1/licenses/{licenseId} \
-H 'Accept: text/plain' \
-H 'x-api-key: API_KEY'
DELETE /v1/licenses/\{licenseId\}
Deletes an existing license based on the provided request parameters.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| licenseId | path | integer(int32) | true | The license ID. |
Example responses
200 Response
{"success":true,"code":0,"message":"string"}{
"success": true,
"code": 0,
"message": "string"
}Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | OK | Management.DeleteLicenseResponse |
Authentication: API key (x-api-key).